javax.media.nativewindow

## Class NativeWindowException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.media.nativewindow.NativeWindowException

- All Implemented Interfaces:
    Serializable

      public class NativeWindowException
      extends RuntimeException

  A generic exception for OpenGL errors used throughout the binding as a substitute for `RuntimeException`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NativeWindowException()` Constructs a NativeWindowException object.
    `NativeWindowException(String message)` Constructs a NativeWindowException object with the specified detail message.
    `NativeWindowException(String message, Throwable cause)` Constructs a NativeWindowException object with the specified detail message and root cause.
    `NativeWindowException(Throwable cause)` Constructs a NativeWindowException object with the specified root cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NativeWindowException

          public NativeWindowException()

      Constructs a NativeWindowException object.

    - #### NativeWindowException

          public NativeWindowException(String message)

      Constructs a NativeWindowException object with the specified detail message.

    - #### NativeWindowException

          public NativeWindowException(String message,
                               Throwable cause)

      Constructs a NativeWindowException object with the specified detail message and root cause.

    - #### NativeWindowException

          public NativeWindowException(Throwable cause)

      Constructs a NativeWindowException object with the specified root cause.

Copyright 2010 JogAmp Community.